# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-applications.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          moblin-panel-applications
Version:       0.1.30
Release:       1%{?dist}.1
Summary:       Moblin Panel for launching Applications

Group:         User Interface/Desktops
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-menus-devel
BuildRequires: gtk2-devel
BuildRequires: libmx-devel
BuildRequires: mutter-moblin-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The Moblin mutter panel for launching applications.

%prep
%setup -q

# Don't run configure from autogen.sh
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/moblin-panel-applications
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.applications.service
%{_datadir}/mutter-moblin/panels/moblin-panel-applications.desktop
%{_datadir}/%{name}

%changelog
* Tue Oct 05 2010 jkeating - 0.1.30-1.1
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.30-1
- New upstream 0.1.30 release

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.28-2
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.28-1
- New upstream 0.1.28 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Mon Nov 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- New upstream 0.0.3 release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-1
- New upstream 0.0.2 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
